Xtreme Topsites join.php SQL Injection

2006-05-19T12:47:33
ID OSVDB:25705
Type osvdb
Reporter luny(luny@youfucktard.com)
Modified 2006-05-19T12:47:33

Description

Vulnerability Description

Topsites contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'join.php' script not properly sanitizing user-supplied input to unspecified variables. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Topsites contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'join.php' script not properly sanitizing user-supplied input to unspecified variables. This may allow an attacker to inject or manipulate SQL queries in the backend database.

References:

Vendor URL: http://www.xtremescripts.com/topsites.php Related OSVDB ID: 25703 Related OSVDB ID: 25702 Related OSVDB ID: 25704 Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2006-05/0397.html FrSIRT Advisory: ADV-2006-1899 CVE-2006-2543 Bugtraq ID: 18055